Subject: Ongoing projects - status update as of 2024/04/10 / requests for clarification
From: "Michal Siemaszko" <[email-masked]>
To: Jürgen Albert <[email-masked]>, "Mark Hoffmann" <[email-masked]>
Date: Wed, 10 Apr 2024 15:34:22 +0200

Status as of 2024/04/10 is the following: 

Having cleared obstacles in the form of https://github.com/geckoprojects-org/org.gecko.emf.utils/issues/53, I am working the DTO to EMF converters you requested, i.e. "DTO to EPackge converter #51" ( https://github.com/geckoprojects-org/org.gecko.emf.utils/issues/51 ) and "Converter Impl for DTO to EObject #52" ( https://github.com/geckoprojects-org/org.gecko.emf.utils/issues/52 ).

- Implementation is based on 'OSGi Core Release 8' specification ( e.g. https://docs.osgi.org/specification/osgi.core/8.0.0/framework.dto.html ), not version 7 which you linked in to https://github.com/geckoprojects-org/org.gecko.emf.utils/issues/51 and https://github.com/geckoprojects-org/org.gecko.emf.utils/issues/52; that is because "Gecko EMF Utilties" appears to be using version 8; not sure if that was deliberate ( i.e. linking to version 7 ) - _*please clarify*_;
 
- In section "57.2 Data Transfer Object" of "Data Transfer Objects Specification" ( https://docs.osgi.org/specification/osgi.core/8.0.0/framework.dto.html#d0e48285 ), it is mentioned that "array" is one of the supported types; however, it does not define whether multi-dimensional arrays are also supported - i.e. only one-dimensional (type[]) or multi-dimensional (type[][]+) as well; *_please clarify_*;

I do not have any other questions for now and I'm working on implementation, so it's up to you whether you'd like to have the call today, or simply reply via email.

Regards,

-- 
          Michael H. Siemaszko
          Telegram: mhsiemaszko
          Email: [email-masked],
                 [email-masked]
          WWW: http://ideas.into.software/
          GitHub: https://github.com/ideas-into-software/
          LinkedIn: http://www.linkedin.com/in/mhsiemaszko/
          Twitter: https://twitter.com/IntoSoftware/